# vim: set ts=2 sw=2 sts=2 et:
#
# Fixtures
#
# Copyright (c) 2011-present Qualiteam software Ltd. All rights reserved.
# See https://www.x-cart.com/license-agreement.html for license details.

XLite\Model\Payment\Method:
  - service_name: Paysafecard
    class: QSL\Paysafecard\Model\Payment\Processor\Paysafecard
    type: C
    countries: [AT, BE, BG, CH, CY, CZ, DE, DK, ES, FI, FR, GB, GE, GR, HR, HU, IE, IT, LU, LV, MT, NL, 'NO', PL, PT, RO, SE, SI, SK]
    translations: [{code: en, name: Paysafecard}, {code: es, name: Paysafecard}]
    settings: [{name: mcid}, {name: username}, {name: password}, {name: mode, value: test}, {name: prefix, value: xcart}]
XLite\Model\LanguageLabel:
  - name: 'Merchant client ID'
    translations: [{code: en, label: 'Merchant client ID'}]
  - name: 'SOAP extension is not installed'
    translations: [{code: en, label: 'The PHP <a href="http://php.net/soap>SOAP</a> extension is not installed. Contact your hosting provider to have it installed.'}]
  - name: Username
    translations: [{code: en, label: Username}]
